The PDORow class

- « PDOStatement::setFetchMode

- PDOException »

- PHP Manual
- PDO
- The PDORow class

# The PDORow class

(PHP 5 >= 5.1.0, PHP 7, PHP 8, PECL pdo >= 1.0.0)

## Introduction

Represents a row from a result set returned by PDOStatement::fetch() called with `PDO_FETCH_LAZY` fetch mode.

Objects of this class cannot be instantiated and are not serializable.

The PDORow object allows access to the returned data as if both `PDO::FETCH_OBJ` and `PDO::FETCH_BOTH` mode was used. This means that the returned data can be accessed as object properties, and as an array both indexed by the column name and a column offset number.

Caution

Accessing an undefined property returns `null` without emitting a warning.

## Class synopsis

final class PDORow {
/* Properties */
public string $queryString;
}

## Properties

queryString

  Query string used by the PDOStatement that returned the PDORow object.

## Errors/Exceptions

Throws an Error when trying to write to or unset() any property.